# TimeStamp  (dos) : 16 Mars 04 12:15  --  g:\crs\stat\data\elf.r

# chargement des programmes gh

source("statgh.r")

cat("\n\n\n")
cat("    +++++++++++++++++++++++++++++++++++++\n")
cat("    +                                   +\n")
cat("    +        ETUDE DU DOSSIER ELF       +\n")
cat("    +                                   +\n")
cat("    +++++++++++++++++++++++++++++++++++++\n")
cat("\n\n\n")

# lecture des donnes

tval <- read.table("elf.dar",header=TRUE) ;
dims <- dim(tval) ;
nbl  <- dims[1] ;
nbc  <- dims[2] ;

# dfinition des colonnes

IDEN         <- tval[,1] ;
SEXE         <- tval[,2] ;
AGE          <- tval[,3] ;
PROF         <- tval[,4] ;
ETUD         <- tval[,5] ;
REGI         <- tval[,6] ;
USAL         <- tval[,7] ;

# dbut de l'tude
# un tri  plat rapide se fait par table(SEXE)

nSEXE <- "Sexe de la personne"
lSEXE <-  c("homme","femme")

nETUD <- "Etudes effectues"
lETUD <- c("NR","Primaire","Bepc","Bac","Suprieur")

indHOM <-  SEXE == 0
indFAM <-  SEXE == 1

nbh    <- length(SEXE[ indHOM ])
nbf    <- length(SEXE[ indFAM ])
nblELF <- nbl

ageHOM <- AGE[ indHOM ]
ageFAM <- AGE[ indFAM ]

triAplat(nSEXE,SEXE, lSEXE)
triAplat(nETUD,ETUD, lETUD)

# triCroise(nSEXE,SEXE, lSEXE,nETUD,ETUD, lETUD)  ;

stem(AGE)
compMoyData( ageHOM, ageFAM )
compPourc( nbh, nbl , nbf , nbl )

par(mfrow=c(3,2))

hist(SEXE,col="blue",main="Variable SEXE",br=2,ylab="")
hist(ETUD,col="blue",main="Variable ETUDE",ylab="Effectifs")

moyAGE <- mean(AGE)

par(lwd=2)
plot(AGE,main="Age (donnes non tries)",xlab="",ylab="")
par(lwd=1)
abline(h=moyAGE,col="blue")

plot(sort(AGE),main="Age donnes tries",xlab="",ylab="AGE")
par(lwd=2)
abline(v=moyAGE,col="red")
par(lwd=1)
abline(v=moyAGE-sd(AGE),col="green")
abline(v=moyAGE+sd(AGE),col="green")

# avec str on obtient des indications dans la console
#str(hist(AGE,col="red",main="Variable AGE"))
hist(AGE,col="red",main="Variable AGE")
boxplot(AGE ~ SEXE,main="Etude de l'AGE par SEXE",xlab="boite  moustaches")



# comparaison de moyennes pour les hommes et les femmes
# en tudes suprieures

AHes  <- AGE[ indHOM & (ETUD==4) ]
nbHes <- length( AHes)
AFes  <- AGE[ indFAM & (ETUD==4) ]
nbFes <- length( AFes)

compMoyData( AHes, AFes )

# comparaison du pourcentage d'tudes suprieures
# chez les hommes et chez les femmes

compPourc( nbHes, nbh , nbFes , nbf )
cat("\n\n\n")
